--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: apply
comment: 
- !ruby/struct:SM::Flow::P 
  body: The Subclasses plugin keeps track of all subclasses of the current model class. Direct subclasses are available via the subclasses method, and all descendent classes are available via the descendents method.
- !ruby/struct:SM::Flow::VERB 
  body: "  c = Class.new(Sequel::Model)\n  c.plugin :subclasses\n  sc1 = Class.new(c)\n  sc2 = Class.new(c)\n  ssc1 = Class.new(sc1)\n  c.subclasses    # [sc1, sc2]\n  sc1.subclasses  # [ssc1]\n  sc2.subclasses  # []\n  ssc1.subclasses # []\n  c.descendents   # [sc1, ssc1, sc2]\n"
constants: []

full_name: Sequel::Plugins::Subclasses
includes: []

instance_methods: []

name: Subclasses
superclass: 
